package com.zskk.dicom.monitor.monitors;

import com.zskk.dicom.monitor.config.Configs;
import com.zskk.dicom.monitor.report.ErrReporter;
import com.zskk.dicom.monitor.uploader.UploadsQueue;

import java.io.File;
import java.util.Timer;
import java.util.TimerTask;
/**
 *
 * 功能描述: 监测重试文件
 *
 * @param:
 * @return:
 * @auther: zzp
 * @date:
 */
public class OldFileChangeProc{

    public void startMonitor(String dir) {
        if (dir == null) {
            String msg = "error, the monitor dir con't is null!";
            ErrReporter.report(msg);
            return;
        }

        final File file = new File(dir);

        new Thread(new Runnable() {

            @Override
            public void run() {
                try {
                    new WatchDir(file, true, new FileActionCallback() {
                        @Override
                        public void create(File file) {
                            if (file.isDirectory()) {
                                // 创建文件夹不处理
                                return;
                            }
                            String msg = "File create \t" + file.getAbsolutePath();
//							if(file.renameTo(file)) {
//								msg += "\r\n add to queue";
                            String absolutePath = file.getAbsolutePath();
                            //dcm 后缀
                            if(absolutePath.endsWith("dcm")) {
                                //定时器
                                Timer timer = new Timer();
                                timer.schedule(new TimerTask() {

                                    @Override
                                    public void run() {
                                        // TODO Auto-generated method stub
                                        UploadsQueue.addFail(new File(absolutePath));
                                    }
                                }, 1000);
                            }
                            Configs.sysLog.info(msg+"---------监听重试文件夹创建");
                        }

                        @Override
                        public void delete(File file) {
                            String msg = "File delete \t" + file.getAbsolutePath();
                            Configs.sysLog.info(msg);
                        }

                        @Override
                        public void modify(File file) {
                            String msg = "File update \t" + file.getAbsolutePath();
                            String absolutePath = file.getAbsolutePath();
                            if(absolutePath.endsWith("dcm")) {
                                Timer timer = new Timer();
                                timer.schedule(new TimerTask() {

                                    @Override
                                    public void run() {
                                        // TODO Auto-generated method stub
                                        UploadsQueue.addFail(new File(absolutePath));
                                    }
                                }, 1000);
                            }
                            Configs.sysLog.info(msg+"---------监听重试文件夹移动");
                        }
                    });
                } catch (Exception e) {
                    e.printStackTrace();
                }
            }
        }).start();
        Configs.sysLog.info("--------------------------------------------------\nMonitoring:" + file.getAbsolutePath() + "\t >>> ");
    }
}
