package com.zskk.dicom.monitor.runner;

import com.zskk.dicom.monitor.queue.IQueue;
import com.zskk.dicom.monitor.queue.OldUploadQueue;
import com.zskk.dicom.monitor.queue.RemoveFile2RetryQueue;
import com.zskk.dicom.monitor.queue.SuccessQueue;

public class HistoryUploadRunner extends BaseUploadRunner {

    public HistoryUploadRunner(IQueue<String> queue) {
        super(queue);
    }

    @Override
    protected IQueue<String> getSuccessQueue() {
        return SuccessQueue.getInstance();
    }

    @Override
    protected IQueue<String> getErrorQueue() {
        return RemoveFile2RetryQueue.getInstance();
    }

    @Override
    protected String getUploadFilePath() {
        return (String) OldUploadQueue.getInstance().pop();
    }

    @Override
    protected String getRunnerName() {
        return "HistoryUploadRunner";
    }

    @Override
    protected boolean exit() {
        return super.exit() || empty();
    }

    @Override
    protected RunnerAction action() {
        return RunnerAction.HISTORY_UPLOAD;
    }
}
