package com.zskk.dicom.monitor.runner;

import com.zskk.dicom.monitor.queue.IQueue;
import com.zskk.dicom.monitor.queue.RemoveFile2RetryQueue;
import com.zskk.dicom.monitor.utils.MonitorFileUtils;

public class RemoveFile2RetryRunner extends BaseRemoveRunner {

    public RemoveFile2RetryRunner(IQueue<String> queue) {
        super(queue);
    }

    @Override
    protected boolean exit() {
        return super.exit();
    }

    @Override
    protected String getRunnerName() {
        return "RemoveFile2RetryRunner";
    }

    @Override
    protected String getSourceFilePath() {
        return (String) RemoveFile2RetryQueue.getInstance().pop();
    }

    @Override
    protected String getTargetFilePath(String sourceFilePath) {
        return MonitorFileUtils.getRetryFilePath(sourceFilePath);
    }

    @Override
    protected RunnerAction action() {
        return RunnerAction.RETRY_REMOVE;
    }
}
