package com.zskk.dicom.response;

import com.zskk.dicom.config.NetCodeConfig;

public class ZskkResponseFactory {
	private static class ZskkExceptionFactoryHoler {
		private static ZskkResponseFactory INSTANCE = new ZskkResponseFactory();
	}
	public static ZskkResponseFactory getInstance() {
		return ZskkExceptionFactoryHoler.INSTANCE;
	}
	private ZskkResponseFactory instance;
	private ZskkResponseFactory() {	
		
	}
	public BaseResponse generateSuccess() {
		return this.generate(NetCodeConfig.SUCCESS,null,null);
	}
	
	public BaseResponse generate(String code) {
		return this.generate(code,null,null);
	}
	
	public BaseResponse generate(String code,String msg) {
		return this.generate(code,msg,null);
	}
	
	public BaseResponse generate(String code,String msg, Exception e) {
		return new BaseResponse(code, msg, e);
	}
}
